LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Server
User Name
Password
Linux - Server This forum is for the discussion of Linux Software used in a server related context.

Notices

Reply
 
Search this Thread
Old 01-13-2012, 03:49 AM   #1
greenworld
LQ Newbie
 
Registered: Dec 2011
Posts: 19

Rep: Reputation: Disabled
Cannot load /usr/local/apache2/modules/libphp5.so into server:


Hi,

I have installed Apache httpd-2.3.16-beta with manual, and configured with ssl, i gave commands as step by step.

[root@localhostphp-5.2.17#./configure

[root@localhostphp-5.2.17#././configure --with-apxs2=/usr/local/apache2/bin/apxs --with-openssl=/usr --disable-libxml --disable-dom --disable-simplexml -disable-xml --disable-xmlreader --disable-xmlwriter --without-pear ^Cwith-mysql

[root@localhostphp-5.2.17#make

[root@localhostphp-5.2.17#make install

[root@localhost php-5.2.17]# /usr/local/apache2/bin/httpd -k start
httpd: Syntax error on line 145 of /usr/local/apache2/conf/httpd.conf: Cannot load /usr/local/apache2/modules/libphp5.so into server: /usr/local/apache2/modules/libphp5.so: undefined symbol: unixd_config.

how to resolve this issue. Please?
 
Old 01-13-2012, 04:33 AM   #2
bathory
Guru
 
Registered: Jun 2004
Location: Piraeus
Distribution: Slackware
Posts: 10,894

Rep: Reputation: 1322Reputation: 1322Reputation: 1322Reputation: 1322Reputation: 1322Reputation: 1322Reputation: 1322Reputation: 1322Reputation: 1322Reputation: 1322
Hi,

I guess that the the php version you're trying to install is not aware of the changes made in apache-2.3.x
Why don't you try to install the latest php-5.3.9 instead of the old 5.2.17 that is no longer supported.

Regards
 
1 members found this post helpful.
Old 01-13-2012, 07:16 AM   #3
greenworld
LQ Newbie
 
Registered: Dec 2011
Posts: 19

Original Poster
Rep: Reputation: Disabled
Hi,

Thank you, Its working .....................
 
Old 01-01-2013, 08:21 AM   #4
ganesh raorane
LQ Newbie
 
Registered: Oct 2010
Location: Mumbai
Posts: 15

Rep: Reputation: 0
php module error

Dear All

I am getting below error when i Tyaing host php site
Please help me to out of this error

./httpd -k stop
httpd: Syntax error on line 149 of /usr/local/apache2/conf/httpd.conf: Cannot load modules/libphp5.so into server: /usr/local/apache2/modules/libphp5.so: undefined symbol: unixd_config

I am awating replay soon

Thanks,
Ganesh
 
Old 01-01-2013, 10:19 AM   #5
bathory
Guru
 
Registered: Jun 2004
Location: Piraeus
Distribution: Slackware
Posts: 10,894

Rep: Reputation: 1322Reputation: 1322Reputation: 1322Reputation: 1322Reputation: 1322Reputation: 1322Reputation: 1322Reputation: 1322Reputation: 1322Reputation: 1322
@ganesh raorane

Don't hijack others threads. Start your own please, providing more details, like distro, software you're trying to install and things like that.
 
Old 01-03-2013, 11:13 AM   #6
ganesh raorane
LQ Newbie
 
Registered: Oct 2010
Location: Mumbai
Posts: 15

Rep: Reputation: 0
how to submit new query

Dear all,
I newer so want to know how to post new quiry on this group

Thanks,
Ganesh
 
Old 01-03-2013, 04:28 PM   #7
bathory
Guru
 
Registered: Jun 2004
Location: Piraeus
Distribution: Slackware
Posts: 10,894

Rep: Reputation: 1322Reputation: 1322Reputation: 1322Reputation: 1322Reputation: 1322Reputation: 1322Reputation: 1322Reputation: 1322Reputation: 1322Reputation: 1322
Quote:
Originally Posted by ganesh raorane View Post
Dear all,
I newer so want to know how to post new quiry on this group

Thanks,
Ganesh
Click the "New Thread" button on top left of the page.

Cheers
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
cannot access `/usr/local/apache2/modules/libphp5.so' gravesb Linux - Software 13 12-02-2011 02:56 AM
PHP5 + Apache 2.x : /usr/local/modules/libphp5.so: Undefined symbol "apr_table_set" Ephracis Linux - Software 6 10-01-2010 12:26 PM
Centos 5.0, php-5.2.8 installation, chmod 755 /usr/local/apache2/modules/libphp5.so xxx_anuj_xxx Linux - Server 1 12-30-2008 12:37 PM
Centos 5.0, php-5.2.8 installation, chmod 755 /usr/local/apache2/modules/libphp5.so xxx_anuj_xxx Linux - Server 0 12-30-2008 10:37 AM
Cannot load /usr/lib/apache2/libphp5.so into server Kristijan Slackware 1 10-08-2005 12:28 AM


All times are GMT -5. The time now is 10:32 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration